From 1b45edcb73e4b407cf6449246e57788c5a283b99 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sat, 3 Aug 2019 12:19:41 -0700
Subject: [PATCH v1 1/4] Remove redundant prototypes for SQL callable
 functions.

These aren't needed after 352a24a1f9d6. The ones remaining after this
are not defined on the SQL level.

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 src/include/catalog/pg_publication.h | 1 -
 src/include/executor/nodeAgg.h       | 2 --
 2 files changed, 3 deletions(-)

diff --git a/src/include/catalog/pg_publication.h b/src/include/catalog/pg_publication.h
index d4bf5b1e2fa..20a2f0ac1bf 100644
--- a/src/include/catalog/pg_publication.h
+++ b/src/include/catalog/pg_publication.h
@@ -92,6 +92,5 @@ extern ObjectAddress publication_add_relation(Oid pubid, Relation targetrel,
 extern Oid	get_publication_oid(const char *pubname, bool missing_ok);
 extern char *get_publication_name(Oid pubid, bool missing_ok);
 
-extern Datum pg_get_publication_tables(PG_FUNCTION_ARGS);
 
 #endif							/* PG_PUBLICATION_H */
diff --git a/src/include/executor/nodeAgg.h b/src/include/executor/nodeAgg.h
index 1a8ca98a8c3..68c9e5f5400 100644
--- a/src/include/executor/nodeAgg.h
+++ b/src/include/executor/nodeAgg.h
@@ -311,6 +311,4 @@ extern void ExecReScanAgg(AggState *node);
 
 extern Size hash_agg_entry_size(int numAggs);
 
-extern Datum aggregate_dummy(PG_FUNCTION_ARGS);
-
 #endif							/* NODEAGG_H */
-- 
2.22.0.545.g9c9b961d7e

